Dokploy

Bitbucket

POST
/bitbucket.create

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Request Body

application/json

bitbucketId?string
bitbucketUsername?string
bitbucketEmail?string
Match^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
appPassword?string
apiToken?string
bitbucketWorkspaceName?string
gitProviderId?string
authId*string
Length1 <= length
name*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-dokploy-instance.com/api/bitbucket.create" \  -H "Content-Type: application/json" \  -d '{    "authId": "string",    "name": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
GET
/bitbucket.one

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Query Parameters

bitbucketId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/bitbucket.one?bitbucketId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
GET
/bitbucket.bitbucketProviders

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/bitbucket.bitbucketProviders"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
GET
/bitbucket.getBitbucketRepositories

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Query Parameters

bitbucketId*string
Length1 <= length

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/bitbucket.getBitbucketRepositories?bitbucketId=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
GET
/bitbucket.getBitbucketBranches

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Query Parameters

owner*string
repo*string
bitbucketId?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://your-dokploy-instance.com/api/bitbucket.getBitbucketBranches?owner=string&repo=string"
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
POST
/bitbucket.testConnection

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Request Body

application/json

bitbucketId*string
Length1 <= length
bitbucketUsername?string
bitbucketEmail?string
Match^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
workspaceName?string
apiToken?string
appPassword?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-dokploy-instance.com/api/bitbucket.testConnection" \  -H "Content-Type: application/json" \  -d '{    "bitbucketId": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}
POST
/bitbucket.update

Authorization

x-api-key

x-api-key<token>

API key authentication. Use YOUR-GENERATED-API-KEY

In: header

Request Body

application/json

bitbucketId*string
Length1 <= length
bitbucketUsername?string
bitbucketEmail?string
Match^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
appPassword?string
apiToken?string
bitbucketWorkspaceName?string
gitProviderId*string
name*string
Length1 <= length
organizationId?string

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://your-dokploy-instance.com/api/bitbucket.update" \  -H "Content-Type: application/json" \  -d '{    "bitbucketId": "string",    "gitProviderId": "string",    "name": "string"  }'
{}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}